Summary:	Frogr - Flickr Remote Organizer for GNOME
Summary(pl.UTF-8):	Frogr - zdalny organizator Flickra dla GNOME
Name:		frogr
Version:	1.7
Release:	1
License:	GPL v3
Group:		X11/Applications/Graphics
Source0:	https://download.gnome.org/sources/frogr/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	bd17a453389f339c9dfe4d4418ee3965
URL:		https://wiki.gnome.org/Apps/Frogr
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gtk+3-devel >= 3.16
BuildRequires:	json-glib-devel >= 1.2
BuildRequires:	libexif-devel >= 1:0.6.14
BuildRequires:	libgcrypt-devel >= 1.5.0
BuildRequires:	libsoup-devel >= 2.34
BuildRequires:	libxml2-devel >= 1:2.6.8
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	glib2 >= 1:2.44
Requires:	gtk+3 >= 3.16
Requires:	hicolor-icon-theme
Requires:	json-glib >= 1.2
Requires:	libexif >= 1:0.6.14
Requires:	libgcrypt >= 1.5.0
Requires:	libsoup >= 2.34
Requires:	libxml2 >= 1:2.6.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Frogr is a small application for the GNOME desktop that allows users
to manage their accounts in the Flickr image hosting website.

%description -l pl.UTF-8
Frogr to mały program dla środowiska GNOME, umożliwiający użytkownikom
zarządzanie swoimi kontami w serwisie zdjęciowym Flickr.

%prep
%setup -q

# build fails on deprecated glib functions, disable -Werror
%{__sed} -i -e "/'werror=true'/d" meson.build

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README THANKS TRANSLATORS
%attr(755,root,root) %{_bindir}/frogr
%{_datadir}/frogr
%{_datadir}/metainfo/org.gnome.frogr.appdata.xml
%{_desktopdir}/org.gnome.frogr.desktop
%{_iconsdir}/hicolor/*x*/apps/org.gnome.frogr.png
%{_iconsdir}/hicolor/scalable/apps/org.gnome.frogr.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.frogr-symbolic.svg
%{_mandir}/man1/frogr.1*
%changelog
* Fri Feb 18 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/frogr.git;a=log;h=master

* Fri Feb 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 973d59d
- updated to 1.7

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 0769e9e
- updated to 1.6

* Tue Oct 08 2019 Jakub Bogusz <qboosh@pld-linux.org> e5e179b
- updated to 1.5; uses meson now

* Fri Jun 23 2017 Jakub Bogusz <qboosh@pld-linux.org> c1b67e4
- updated to 1.3

* Sun Feb 19 2017 Jakub Bogusz <qboosh@pld-linux.org> e6d8807
- updated to 1.2

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> cb8b3d4
- updated to 1.0

* Tue Jan 13 2015 Jakub Bogusz <qboosh@pld-linux.org> a498d2b
- updated to 0.11

* Tue Jun 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 76e9564
- new

